# Cursor like ai driven code suggestions
{ pkgs, ... }:
{
  extraPlugins = with pkgs.vimPlugins; [
    img-clip-nvim
  ];
  plugins.avante = {
    enable = true;
    lazyLoad = {
      enable = true;
      settings = {
        keys = [
          "<leader>a"
        ];
      };
    };
    settings = {
      provider = "deepseek";
      vendors = {
        deepseek = {
          __inherited_from = "openai";
          api_key_name = "DEEPSEEK_API_KEY";
          # endpoint = "https://api.deepseek.com";
          # model = "deepseek-chat";
          endpoint = "https://ark.cn-beijing.volces.com/api/v3";
          model = "deepseek-v3-250324";
        };
      };
    };
  };
  plugins.render-markdown = {
    enable = true;
    settings = {
      file_types = [
        "markdown"
        "Avante"
      ];
    };
  };
}
